Bug 501306 - user switching to tty starts new session instead
user switching to tty starts new session instead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On: 470004 572199
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 09:38 EDT by Michal Hlavinka
Modified: 2012-08-16 18:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2009-05-18 09:38:50 EDT
Description of problem:
when switching to tty, new session with kdm is started instead


Version-Release number of selected component (if applicable):
kde 4.2.3

How reproducible:
always

Steps to Reproduce:
1.ctrl+alt+f2
2.log in
3.go back to X
4.menu->switch user
5.select "tty login (vt2)"

Actual results:
new session started

Expected results:
switched to tty

Additional info:
switching from locked screen dialog works as expected
this is some sort of #470004 clone, but there were 2 bugs described and it's been "hijacked" by upstart now because of the first bug, so I've filled the second bug again (from comment 6 in original bug report).
Comment 1 Rex Dieter 2009-05-18 09:45:07 EDT
Of course, you can always switch back to vt2, via cntl-alt-f2
Comment 2 Rex Dieter 2009-05-18 09:46:45 EDT
Anyway, let's block in the upstart bug #470004 , at least until evidence shows otherwise.
Comment 3 Steven M. Parrish 2009-09-07 22:32:41 EDT
Ping

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Rex Dieter 2009-09-08 08:31:33 EDT
I'm still of a mind that this is a side-effect of upstart bug #470004 (again, unless/until there is evidence to the contrary).
Comment 5 Rex Dieter 2009-11-12 16:17:53 EST
Alright, separate bug after all.

Turns out kdmrc needs
ServerTTY=tty1
(next to or near ConsoleTTYs directive), for this to work properly.

Bad news is that it's useless without the upstart bug being fixed, ie, kdm has no way to know when your tty session has ended and to restart itself.

Rebasing to rawhide(f12)
Comment 6 Rex Dieter 2009-11-12 16:19:35 EST
oh, have f12 now.  let's use that.
Comment 7 Claudio Guimarães 2010-03-12 12:18:31 EST
I am having the same issue in F12 x86_64 with the latest updates from March 11th. Note that it started after some package update (can't state which), because everything was working perfectly until the latest week.
For me the active session is killed if I try to start a new one, unless it is done through screen saver lock screen in KDE (using KDM).
Comment 8 Rex Dieter 2010-03-23 09:42:35 EDT
I can reproduce this now too.

from kdm:  switch user -> tty2  =>  works
from session locked scrren:  switch users -> tty2   => works

but,

inside a kde session:  leave -> switch user -> tty2  => launches new session/kdm
Comment 9 Rex Dieter 2010-03-23 09:43:05 EDT
tested with,

$ rpm -q kdebase-workspace
kdebase-workspace-4.4.1-2.fc12.x86_64
Comment 10 Bug Zapper 2010-11-04 07:14:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Michal Hlavinka 2010-11-04 12:15:04 EDT
bug still exists in Fedora 14
Comment 12 Rex Dieter 2010-11-04 12:28:27 EDT
OK, I think I finally grok what's going on here.  time to move this upstream to bugs.kde.org please.
Comment 13 Fedora End Of Life 2012-08-16 18:20:48 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.